package com.ruoyi.oa.domain;

import java.math.BigDecimal;

import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc车辆预算对象 cmc_budget_car
 * 
 * @author cmc
 * @date 2024-03-22
 */
public class CmcBudgetCar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车辆预算id */
    private Long budgetCarId;

    /** 预算id */
    @Excel(name = "预算id")
    private String budgetId;

    /** 车辆id */
    @Excel(name = "车牌号")
    private String licensePlate;
    private Integer carId;
    private CmcCar car;

    private SysUser driverUser;

    /** 天数 */
    @Excel(name = "天数")
    private Integer days;

    /** 折旧成本 */
    @Excel(name = "折旧成本")
    private BigDecimal depreciation;

    /** 距离 */
    @Excel(name = "距离")
    private Long distance;

    /** 油耗 */
    @Excel(name = "油耗")
    private BigDecimal mileage;

    /** 过路费 */
    @Excel(name = "过路费")
    private BigDecimal toll;

    /** 使用成本 */
    @Excel(name = "使用成本")
    private BigDecimal expense;

    /** 核算天数 */
    @Excel(name = "核算天数")
    private Long daysAdjust;

    /** 预算金额 */
    @Excel(name = "预算金额")
    private BigDecimal amount;

    /** 核算金额 */
    @Excel(name = "核算金额")
    private BigDecimal amountAdjust;

    public void setBudgetCarId(Long budgetCarId)
    {
        this.budgetCarId = budgetCarId;
    }

    public Long getBudgetCarId()
    {
        return budgetCarId;
    }
    public void setBudgetId(String budgetId) 
    {
        this.budgetId = budgetId;
    }

    public String getBudgetId() 
    {
        return budgetId;
    }
    public void setCarId(Integer carId) 
    {
        this.carId = carId;
    }

    public Integer getCarId() 
    {
        return carId;
    }
    public void setCar(CmcCar car)
    {
        this.car = car;
        this.licensePlate = car == null ? "" : car.getLicensePlate();
    }

    public CmcCar getCar()
    {
        return car;
    }
    public void setDriverUser(SysUser driverUser)
    {
        this.driverUser = driverUser;
    }

    public SysUser getDriverUser()
    {
        return driverUser;
    }
    public void setDays(Integer days) 
    {
        this.days = days;
    }

    public Integer getDays() 
    {
        return days;
    }
    public void setDepreciation(BigDecimal depreciation) 
    {
        this.depreciation = depreciation;
    }

    public BigDecimal getDepreciation() 
    {
        return depreciation;
    }
    public void setDistance(Long distance) 
    {
        this.distance = distance;
    }

    public Long getDistance() 
    {
        return distance;
    }
    public void setMileage(BigDecimal mileage) 
    {
        this.mileage = mileage;
    }

    public BigDecimal getMileage() 
    {
        return mileage;
    }
    public void setExpense(BigDecimal expense) 
    {
        this.expense = expense;
    }

    public BigDecimal getExpense() 
    {
        return expense;
    }
    public void setToll(BigDecimal toll)
    {
        this.toll = toll;
    }

    public BigDecimal getToll()
    {
        return toll;
    }
    public void setDaysAdjust(Long daysAdjust)
    {
        this.daysAdjust = daysAdjust;
    }

    public Long getDaysAdjust()
    {
        return daysAdjust;
    }
    public void setAmount(BigDecimal amount)
    {
        this.amount = amount;
    }

    public BigDecimal getAmount()
    {
        return amount;
    }
    public void setAmountAdjust(BigDecimal amountAdjust)
    {
        this.amountAdjust = amountAdjust;
    }

    public BigDecimal getAmountAdjust()
    {
        return amountAdjust;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("budgetCarId", getBudgetCarId())
            .append("budgetId", getBudgetId())
            .append("carId", getCarId())
            .append("days", getDays())
            .append("depreciation", getDepreciation())
            .append("distance", getDistance())
            .append("mileage", getMileage())
            .append("expense", getExpense())
            .append("toll", getToll())
            .toString();
    }
}
